# TableRow (1_graphentester)

Package imp

## Class TableRow

- java.lang.Object
- - imp.TableRow

    public class TableRow
    extends Object

### Field Summary

Fields
`(package private) NumberFormat` `format`

### Constructor Summary

Constructors
`TableRow​(org.jdom.Document doc, org.jdom.Element row)` Erzeugt ein TableRow-Objekt.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumn​(String name)` Liefert die Nummer einer Spalte
`int` `getColumnCount()` Liefert die Anzahl der Spalten der Zeile.
`String` `getColumnTitle​(int i)` Liefert den Titel einer Spalte
`double` `getDouble​(int i)` Liefert den Wert einer Zelle als Double-Zahl
`double` `getDouble​(String name)` Liefert den Wert einer Zelle als Double-Zahl
`float` `getFloat​(int i)` Liefert den Wert einer Zelle als Float-Zahl
`float` `getFloat​(String name)` Liefert den Wert einer Zelle als Float-Zahl
`int` `getInt​(int i)` Liefert den Wert einer Zelle als Int-Zahl
`int` `getInt​(String name)` Liefert den Wert einer Zelle als Int-Zahl
`String` `getString​(int i)` Liefert den Wert einer Zelle als String
`String` `getString​(String name)` Liefert den Wert einer Zelle als String
`void` `setDouble​(int i, double value)` Setzt den Wert einer Zelle als Double-Zahl
`void` `setDouble​(String name, double value)` Setzt den Wert einer Zelle als Double-Zahl
`void` `setFloat​(int i, float value)` Setzt den Wert einer Zelle als Float-Zahl
`void` `setFloat​(String name, float value)` Setzt den Wert einer Zelle als Float-Zahl
`void` `setInt​(int i, int value)` Setzt den Wert einer Zelle als Int-Zahl
`void` `setInt​(String name, int value)` Setzt den Wert einer Zelle als Int-Zahl
`void` `setString​(int i, String text)` Setzt den Wert einer Zelle als String
`void` `setString​(String name, String text)` Setzt den Wert einer Zelle als String

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### format

    NumberFormat format

### Constructor Detail

#### TableRow

    public TableRow​(org.jdom.Document doc,
                    org.jdom.Element row)

Erzeugt ein TableRow-Objekt. Diese Methode ist für den internen Gebraucht. Einige Methode der Table-Klasse erzeugen mit diesem Konstruktor TableRow-Objekte.

Parameters:
  `doc` - JDOM-Dokument, das für die ganze Tabelle steht.
  `row` - JDOM-Element, das für die aktuelle Zeile steht.

### Method Detail

#### getColumnCount

    public int getColumnCount()

Liefert die Anzahl der Spalten der Zeile.

Returns:
  Anzahl der Spalten

#### getColumnTitle

    public String getColumnTitle​(int i)

Liefert den Titel einer Spalte

Parameters:
  `i` - Nummer der Spalte
Returns:
  Name der Spalte

#### getColumn

    public int getColumn​(String name)

Liefert die Nummer einer Spalte

Parameters:
  `name` - Name der Spalte
Returns:
  Nummer der Spalte

#### getString

    public String getString​(int i)

Liefert den Wert einer Zelle als String

Parameters:
  `i` - Nummer der Spalte
Returns:
  Wert der Zelle

#### getString

    public String getString​(String name)

Liefert den Wert einer Zelle als String

Parameters:
  `name` - Name der Spalte
Returns:
  Wert der Zelle

#### setString

    public void setString​(int i,
                          String text)

Setzt den Wert einer Zelle als String

Parameters:
  `i` - Nummer der Spalte
  `text` - neuer Wert der Zelle

#### setString

    public void setString​(String name,
                          String text)

Setzt den Wert einer Zelle als String

Parameters:
  `name` - Name der Spalte
  `text` - neuer Wert der Zelle

#### getInt

    public int getInt​(int i)

Liefert den Wert einer Zelle als Int-Zahl

Parameters:
  `i` - Nummer der Spalte
Returns:
  Wert der Zelle

#### getInt

    public int getInt​(String name)

Liefert den Wert einer Zelle als Int-Zahl

Parameters:
  `name` - Name der Spalte
Returns:
  Wert der Zelle

#### setInt

    public void setInt​(int i,
                       int value)

Setzt den Wert einer Zelle als Int-Zahl

Parameters:
  `i` - Nummer der Spalte
  `value` - neuer Wert der Zelle

#### setInt

    public void setInt​(String name,
                       int value)

Setzt den Wert einer Zelle als Int-Zahl

Parameters:
  `name` - Name der Spalte
  `value` - neuer Wert der Zelle

#### getFloat

    public float getFloat​(int i)

Liefert den Wert einer Zelle als Float-Zahl

Parameters:
  `i` - Nummer der Spalte
Returns:
  Wert der Zelle

#### getFloat

    public float getFloat​(String name)

Liefert den Wert einer Zelle als Float-Zahl

Parameters:
  `name` - Name der Spalte
Returns:
  Wert der Zelle

#### setFloat

    public void setFloat​(int i,
                         float value)

Setzt den Wert einer Zelle als Float-Zahl

Parameters:
  `i` - Nummer der Spalte
  `value` - neuer Wert der Zelle

#### setFloat

    public void setFloat​(String name,
                         float value)

Setzt den Wert einer Zelle als Float-Zahl

Parameters:
  `name` - Name der Spalte
  `value` - neuer Wert der Zelle

#### getDouble

    public double getDouble​(int i)

Liefert den Wert einer Zelle als Double-Zahl

Parameters:
  `i` - Nummer der Spalte
Returns:
  Wert der Zelle

#### getDouble

    public double getDouble​(String name)

Liefert den Wert einer Zelle als Double-Zahl

Parameters:
  `name` - Name der Spalte
Returns:
  Wert der Zelle

#### setDouble

    public void setDouble​(int i,
                          double value)

Setzt den Wert einer Zelle als Double-Zahl

Parameters:
  `i` - Nummer der Spalte
  `value` - neuer Wert der Zelle

#### setDouble

    public void setDouble​(String name,
                          double value)

Setzt den Wert einer Zelle als Double-Zahl

Parameters:
  `name` - Name der Spalte
  `value` - neuer Wert der Zelle